/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p01020202.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird der prozedurorientierte Ansatz bei der    */
/* Arbeit mit Bruechen.                                        */
/***************************************************************/

#include <stdio.h>

typedef struct {

 int zaehler;
 int nenner;

} bruch;

int ggt(int x, int y) {

 while (x!=y)
   if (x<y)
     y=y-x;
    else x=x-y;
 return x;

}

void kuerzen(bruch *br) {

 int teiler=ggt(br->zaehler,br->nenner);
 br->zaehler=br->zaehler/teiler;
 br->nenner=br->nenner/teiler;

}

int main(void) {

 bruch b;

 b.zaehler = 12;
 b.nenner  = 18;

 printf("\nVor dem Kuerzen:  %d/%d\n\n",b.zaehler,b.nenner);

 kuerzen(&b);

 printf("Nach dem Kuerzen: %d/%d\n",b.zaehler,b.nenner);

 return 0;

}
