/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p04030300.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/* (siehe auch p06060201b.c)                                   */
/*                                                             */
/* Demonstriert wird die Arbeit mit Zeichenketten (Strings).   */
/***************************************************************/

#include <stdio.h>
#include <string.h>

int main(void) {

 char name[12];
 char name2[12];
 char namensanfang[5];
 int i;

 strcpy(name,"Stan Laurel");
 printf("name: %s\n\n",name);
 printf("strlen(name): %d\n\n",strlen(name));

 strcpy(name2,name);
 printf("name2 (nach \'strcpy(name2,name)\'): %s\n\n",name2);

 printf("strcmp(name,\"Stan Laurel\"): %d\n\n",strcmp(name,"Stan Laurel"));

 printf("strcmp(name,\"Oliver Hardy\"): %d\n\n",strcmp(name,"Oliver Hardy"));

 printf("strcmp(name,\"W. C. Fields\"): %d\n\n",strcmp(name,"W. C. Fields"));

 for (i=0;i<4;i++)
  namensanfang[i] = name[i];
 namensanfang[4] = '\0';

 printf("namensanfang: %s\n\n",namensanfang);

 return 0;

}

