/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05030300.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert werden zwei verschiedene Arten zur Definition  */
/* und Benutzung einer Zeichenkettenvariablen.                 */
/***************************************************************/

#include <stdio.h>
#include <string.h>

int main(void) {

 char array[] = "Stan Laurel";
 char *zeiger = "Stan Laurel";

 const char *zeiger2 = "Stan Laurel";
 char * const zeiger3 = "Stan Laurel";
 const char * const zeiger4 = "Stan Laurel";

 array[2]='e';

 printf("array  = %s\n",array);
 printf("zeiger = %s\n\n",zeiger);

 strcpy(array,"Ollie Hardy");

/* Moeglicherweise verboten: 
 zeiger[2]='e';
 *(zeiger+2)='e'; */

 printf("array  = %s\n",array);
 printf("zeiger = %s\n",zeiger);
 
/* Definitiv verboten:
 zeiger2[2]='e'; */
 zeiger2 = (char *) malloc(30);
 
/* Moeglicherweise verboten: 
 zeiger3[2]='e'; */
/* Definitiv verboten:
 zeiger3 = (char *) malloc(30); */
 
/* Definitiv verboten:
 zeiger4[2]='e';
 zeiger4 = (char *) malloc(30); */

 return 0;
 
}

