/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05040300.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die dynamische Erzeugung eines Arrays     */
/* durch malloc() und der Zugriff darauf.                      */
/***************************************************************/

#include <stdio.h>
#include <stdlib.h>

int main(void) {

 unsigned int groesse, i;
 float* array;

 printf("Anzahl der Arrayeintraege: ");
 scanf("%u",&groesse);

 array = (float *) malloc(groesse*sizeof(float));

 if (array==NULL) {
   printf("Speicherbelegung fehlgeschlagen!\n");
   exit(-1);
  }

 for (i=0;i<groesse;i++)
  *(array+i) = 0.25*i;

 printf("\nInhalt des Arrays nach den Zuweisungen:\n");
 for (i=0;i<groesse;i++)
  printf("%.2f ",array[i]);
 printf("\n\n");

 return 0;

}

