/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05050000.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird der Zugriff auf eine Struktur ueber einen */
/* mit der Stern-Punkt-Notation und der Pfeilnotation.         */
/***************************************************************/

#include <stdio.h>

int main(void) {

 typedef struct {
   char  name[41];
   int   personalnummer;
   float gehalt;
 } angestellten_info;

 angestellten_info *pt;

 pt = (angestellten_info *) malloc(sizeof(angestellten_info));

 (*pt).personalnummer = 1234;

 printf("Nummer nach erster Zuweisung:  %d\n\n",(*pt).personalnummer);

 pt->personalnummer = 5678;

 printf("Nummer nach zweiter Zuweisung: %d\n\n",pt->personalnummer);

 return 0;

}

