/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05060000.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird der Umgang mit Zeigern auf Zeiger anhand  */
/* eines dynamisch erzeugten Speicherbereichs, der Zeiger auf  */
/* Strings enthaelt.                                           */
/***************************************************************/

#include <stdio.h>
#include <string.h>

int main(void) {

 int anzahl_strings = 20;
 int i;

 /* Deklariere eine Variable vom Typ "Zeiger auf Zeiger auf char". */
 char **string_feld;

 /* Belege einen Speicherbereich,
    der anzahl_strings Zeiger auf char aufnehmen kann. */
 string_feld = (char **) malloc(anzahl_strings*sizeof(char *));

 /* Initialisiere den neuen Speicherbereich mit Nullzeigern. */
 for (i=0;i<anzahl_strings;i++)
  string_feld[i] = NULL;

 /* Belege einen Speicherbereich, der einen String mit sechs Zeichen
    aufnehmen kann, und speichere einen Zeiger darauf in Komponente 1
    des Zeigerfelds. */

 string_feld[1] = (char *) malloc(6*sizeof(char));

 /* Speichere dort die Zeichenkette "Hallo". */
 strcpy(string_feld[1],"Hallo");

 printf("Zeichenkette an Position 1: %s\n",string_feld[1]);

 return 0;

}

