/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06030303.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird eine Funktion, die eine Struktur neu er-  */
/* zeugt und einen Zeiger darauf zurueckgibt.                  */
/***************************************************************/

#include <stdio.h>
#include <string.h>

struct angestellten_info {
  char  name[41];
  int   personalnummer;
  float gehalt;
};

struct angestellten_info *neuer_angestellter() {

  struct angestellten_info *result = (struct angestellten_info *) malloc(sizeof(struct angestellten_info));
  strcpy(result->name,"");
  result->personalnummer = 0;
  result->gehalt = 0.0;
  return result;

 }

int main(void) {

 struct angestellten_info *ang;
 ang = neuer_angestellter();
 printf("Neuer Angestellter: %s %d %.2f\n",ang->name,ang->personalnummer,ang->gehalt);

 return 0;

}


