/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06050102.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert werden Funktionen mit statischen lokalen Vari- */
/* ablen.                                                      */
/***************************************************************/

#include <stdio.h>

int zaehler_ohne_init(void) {
 static int count;
 count++;
 return count;
}

int zaehler_mit_init(void) {
 static int count=100;
 count++;
 return count;
}

int main(void) {

 printf("%d\n",zaehler_ohne_init());
 printf("%d\n",zaehler_ohne_init());
 printf("%d\n",zaehler_ohne_init());

 printf("%d\n",zaehler_mit_init());
 printf("%d\n",zaehler_mit_init());
 printf("%d\n",zaehler_mit_init());

 return 0;

}


