/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06060201b.c                               */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/* (siehe auch p04030300.c)                                    */
/*                                                             */
/* Demonstriert wird die Verwendung der Funktionen der Stan-   */
/* dardbibliothek zur Arbeit mit Zeichenketten.                */
/***************************************************************/

#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[]) {

 char name[12];
 char name2[29];
 char name3[15];
 int i;

 strcpy(name,"Stan Laurel");
 printf("name: %s\n\n",name);
 printf("strlen(name): %d\n\n",strlen(name));

 strcpy(name2,name);
 printf("nach  strcpy(name2,name):\n name2 = %s\n\n",name2);

 strncpy(name3,name,4);
 name3[4] = '\0';
 printf("nach  strncpy(name3,name,4); name3[4]=\'\\0\':\n name3 = %s\n\n",name3);

 strcat(name2," und Oliver Hardy");
 printf("nach  strcat(name2,\" und Oliver Hardy\"):\n name2 = %s\n\n",name2);

 strncat(name3," und Oliver Hardy",8);
 printf("nach  strncat(name3,\" und Oliver Hardy\",8):\n name3 = %s\n\n",name3);

 printf("strcmp(name,\"Stan Laurel\") = %d\n\n",strcmp(name,"Stan Laurel"));

 printf("strcmp(name,\"Oliver Hardy\") = %d\n\n",strcmp(name,"Oliver Hardy"));

 printf("strcmp(name,\"W. C. Fields\") = %d\n\n",strcmp(name,"W. C. Fields"));

 printf("strncmp(\"Stan Laurel\",\"Stan Getz\",4) = %d\n\n",strncmp("Stan Laurel","Stan Getz",4));

 printf("Erster Index von \'a\' in name: %d\n\n",strchr(name,'a')-name);

 printf("Letzter Index von \'a\' in name: %d\n\n",strrchr(name,'a')-name);

 printf("Erster Index eines Vokals in name: %d\n\n",strpbrk(name,"aeiou")-name);

 printf("Index des Anfangs von \"Laurel\" in name: %d\n\n",strstr(name,"Laurel")-name);

}

