/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06060203a.c                               */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Verwendung der alloc()- und der       */
/* memxxx()-Funktionen der Standardbibliothek.                 */
/***************************************************************/

#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[]) {

 char *bereich1, *bereich2;
 int i;

 bereich1 = (char *) malloc(50);
 bereich2 = (char *) calloc(5,10);
 
 /* realloc(p,size) */

 memset(bereich1,'-',49);
 bereich1[49] = '\n';
 memset(bereich2,'X',49);
 bereich2[49] = '\n';

 printf("Bereich 1: %s\n",bereich1);
 printf("Bereich 2: %s\n\n",bereich2);

 memcpy(bereich2,bereich1,10);
 printf("Bereich 2 nach 'memcopy(bereich2,bereich1,10)':\n\n           %s\n",bereich2);

 memcpy(bereich2+20,bereich2,10);
 printf("Bereich 2 nach 'memcopy(bereich2+20,bereich2,10)':\n\n           %s\n",bereich2);

 memmove(bereich2+5,bereich2,10);
 printf("Bereich 2 nach 'memmove(bereich2+5,bereich2,10)':\n\n           %s\n",bereich2);

 free(bereich1);
 free(bereich2);

}

