/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06060203b.c                               */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Verwendung der Zeitfunktionen der     */
/* Standardbibliothek.                                         */
/***************************************************************/

#include <stdio.h>
#include <time.h>

int main(int argc, char *argv[]) {

 int i, j, k, f =1;

 time_t zeit;

 struct tm zeit_struct;

 for (i=0;i<10000;i++)
  for (j=0;j<10000;j++)
   for (j=0;j<10000;j++)
    f = (f*2)%32767;

 printf("Dauer von 10^12 int-Multiplikationen: %f Sekunden\n\n",clock()/CLOCKS_PER_SEC);

 printf("Konstante CLOCKS_PER_SEC = %f\n\n",CLOCKS_PER_SEC);

 zeit = time(NULL);

 printf("Absolute Zeit (in Sekunden seit 1.1.1970): %ld\n\n",zeit);

 zeit_struct = *localtime(&zeit);

 printf("Absolutes Datum und absolute Zeit: %s\n",ctime(&zeit));

 printf(" Jahre seit 1900: %d\n",zeit_struct.tm_year);
 printf(" Monate seit Januar: %d\n",zeit_struct.tm_mon);
 printf(" Tage seit Monatsanfang: %d\n",zeit_struct.tm_mday);
 printf(" Stunden seit Mitternacht: %d\n",zeit_struct.tm_hour);
 printf(" Minuten seit der vollen Stunde: %d\n",zeit_struct.tm_min);
 printf(" Sekunden seit der vollen Minute: %d\n\n",zeit_struct.tm_sec);
 printf(" Tage seit Sonntag: %d\n",zeit_struct.tm_wday);
 printf(" Tage seit dem 1.1.: %d\n",zeit_struct.tm_yday);
 
}

