/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06070101.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Benutzung eines Zeigers auf eine      */
/* Funktion.                                                   */
/***************************************************************/

#include <stdio.h>

void ausgabe_horizontal(int a[], unsigned int laenge) {
 unsigned int i;
 for (i=0;i<laenge;i++)
  printf("%d ",a[i]);
}

void ausgabe_vertikal(int a[], unsigned int laenge) {
 unsigned int i;
 for (i=0;i<laenge;i++)
  printf("%d\n",a[i]);
}

int main(void) {

 int feld[] = { 2, 4, 6, 8, 10 };

 void (*ausgabe) (int *, unsigned int);

 int wahl;

 printf("Bitte Ausgabeart waehlen: 1=horizontal, 2=vertikal ");
 scanf("%d",&wahl);

 if (wahl==1)
   ausgabe = ausgabe_horizontal;
  else
   ausgabe = ausgabe_vertikal;

 (*ausgabe) (feld,5);

 return 0;

}


