/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p07020200.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert werden einfache Anwendungen von scanf().       */
/***************************************************************/

#include <stdio.h>

int main(void) {

 int laenge, breite, i, a, b;

 unsigned int ui;

 short sht;

 float flt;

 double dbl;

 char c1, c2, c3;

 char str[21];

 long feld[5];

 struct {
  char  name[41];
  int   personalnummer;
  float gehalt;
 } ang_info;

 printf("Bitte Laenge und Breite als ganze Zahlen eingeben: ");
 scanf("%d %d",&laenge,&breite);
 printf("\nGelesene Werte: Laenge = %d, Breite = %d\n\n", laenge, breite);

 printf("Bitte unsigned-int-Zahl dezimal eingeben: ");
 scanf("%u", &ui);
 printf("\nGelesener Wert: %u\n\n", ui);

 printf("Bitte short-Zahl hexadezimal eingeben: ");
 scanf("%hx", &sht);
 printf("\nGelesener Wert: %hx (%hd)\n\n", sht, sht);

 printf("Bitte float- und double-Zahl eingeben: ");
 scanf("%f %lf", &flt,&dbl);
 printf("\nGelesene Werte: %f %lf\n\n", flt, dbl);

 printf("Bitte drei Zeichen eingeben: ");
 fflush(stdin);
 scanf("%c %c %c", &c1, &c2, &c3);
 printf("\nGelesene Zeichen: %c %c %c\n\n", c1, c2, c3);

 printf("Bitte Zeichenkette mit maximal 20 Zeichen eingeben: ");
 scanf("%20s", str);
 printf("\nGelesene Zeichenkette: %s\n\n", str);
 fflush(stdin);

 printf("Bitte fuenf long-Werte eingeben:\n");
 for (i=0;i<5;i++) {
   printf("Wert %d: ",i);
   scanf("%ld", &feld[i]);
  }
 printf("\nGelesene Werte: ");
 for (i=0;i<5;i++)
  printf("%ld ", feld[i]);
 printf("\n\n\n");

 printf("Bitte Namen, Personalnummer und Gehalt eingeben: ");
 scanf("%s %d %f", ang_info.name, &ang_info.personalnummer, &ang_info.gehalt);
 printf("\nGelesene Werte:\n");
 printf("  %s\n",ang_info.name);
 printf("  %d\n",ang_info.personalnummer);
 printf("  %.2f\n\n",ang_info.gehalt);

 printf("Bitte vier Dezimalziffern unmittelbar aufeinanderfolgend eingeben: ");
 scanf("%2d%2d",&a,&b);
 printf("\nGelesene Werte: %d %d\n\n", a, b);

 printf("Bitte zwei ganze Zahlen eingeben: ");
 scanf("%*d %d",&a);
 printf("\nGelesener Wert: %d\n\n", a);

 printf("Bitte Zeichenkette eingeben, die nur Vokale enthaelt: ");
 scanf("%[aeiouAEIOU]",str);
 printf("\nGelesene Zeichenkette: %s\n\n", str);

 fflush(stdin);
 printf("Bitte Zeichenkette eingeben, die nur Kleinbuchstaben enthaelt: ");
 scanf("%[a-z]",str);
 printf("\nGelesene Zeichenkette: %s\n\n", str);

 fflush(stdin);
 printf("Bitte Zeichenkette eingeben, die keine Vokale enthaelt: ");
 scanf("%[^aeiouAEIOU]",str);
 printf("\nGelesene Zeichenkette: %s\n\n", str);

 return 0;

}
