/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p04030100.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Deklaration und Initialisierung       */
/* eindimensionaler Arrays.                                    */
/***************************************************************/

#include <stdio.h>
#define ARRAYLAENGE 20

int main(void) {

 unsigned int fibonacci[ARRAYLAENGE];

 int a1[5] = {0, 2, 4, 6, 8};
 int a2[] = {0, 2, 4, 6, 8};

 int i;

 fibonacci[0] = 1;
 fibonacci[1] = 1;
 for (i=2;i<ARRAYLAENGE;i++)
  fibonacci[i] = fibonacci[i-1] + fibonacci[i-2];

 printf("Inhalt von fibonacci[]:\n");
 for (i=0;i<20;i++)
  printf("%u ", fibonacci[i]);
 printf("\n\n");

 printf("Inhalt von a1[]:\n");
 for (i=0;i<5;i++)
  printf("%d ",a1[i]);
 printf("\n\n");

 printf("Inhalt von a2[]:\n");
 for (i=0;i<5;i++)
  printf("%d ",a2[i]);
 printf("\n\n");

 printf("Laenge von a2:  %d Byte = %d Eintraege\n\n", sizeof a2, sizeof a2 / sizeof(int));

 return 0;

}

