/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p04030400.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Nur C99!                                                    */
/* Demonstriert wird die Deklaration und Initialisierung       */
/* eines Arrays, dessen Laenge sich erst waehrend der Laufzeit */
/* des Programms ergibt.                                       */
/***************************************************************/

#include <stdio.h>

int main(void) {
       
 unsigned int laenge, i;

 printf("Bitte Arraylaenge eingeben: ");
 scanf("%u",&laenge);
  
 unsigned int fibonacci[laenge];

 fibonacci[0] = 1;
 fibonacci[1] = 1;
 for (i=2;i<laenge;i++)
  fibonacci[i] = fibonacci[i-1] + fibonacci[i-2];

 printf("\nLaenge von fibonacci[] (in Bytes): %d\n\n",sizeof(fibonacci));

 printf("Anzahl der Eintraege von fibonacci[]: %d\n\n",sizeof(fibonacci)/sizeof(int));

 printf("Inhalt von fibonacci[]:\n");
 for (i=0;i<laenge;i++)
  printf("%u ",fibonacci[i]);
 printf("\n\n");

 return 0;

}

