/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05040401.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die dynamische Erzeugung eines Arrays     */
/* durch malloc() und die Arbeit mit diesem Array.             */
/***************************************************************/

#include <stdio.h>

include main(void) {

 unsigned int anzahl, i;
 int *array, summe;

 printf("Wie viele Zahlen sollen verarbeitet werden? ");
 scanf("%u", &anzahl);
 array = (int *) malloc(anzahl*sizeof(int));

 if (array==NULL) {
   printf("Fehler: Speicher konnte nicht belegt werden!");
   exit(-1);
  }

 printf("\n");
 for (i=0;i<anzahl;i++) {
  printf("Bitte %d-ten Wert eingeben: ",i+1);
  scanf("%d",array+i);
 }

 summe = 0;

 for (i=0;i<anzahl;i++)
  summe += array[i];

 printf("\nMittel: %.3f",(float)summe/anzahl);

 return 0;

}

