/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05040402.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die dynamische Erzeugung eines Arrays     */
/* durch malloc() und das Einlesen von Daten aus einer Datei   */
/* in diesen Array.                                            */
/***************************************************************/

#include <stdio.h>

int main(void) {

 typedef struct {
   char  name[41];
   int   personalnummer;
   float gehalt;
 } angestellten_info;

 unsigned int anzahl, i;
 angestellten_info *array;
 FILE *fd;

 fd = fopen("angestellte.txt","r");

 fscanf(fd,"%u",&anzahl);
 array = (angestellten_info *)
                malloc(anzahl*sizeof(angestellten_info));
 if (array==NULL) {
   printf("Fehler: Speicher konnte nicht belegt werden!");
   exit(-1);
  }

 for (i=0;i<anzahl;i++) {
   fscanf(fd,"%s",array[i].name);
   fscanf(fd,"%d",&array[i].personalnummer);
   fscanf(fd,"%f",&array[i].gehalt);
  }

 for (i=0;i<anzahl;i++)
   printf("Eintrag %u: %s %u %.2f\n",i,array[i].name,
                      array[i].personalnummer,array[i].gehalt);

 return 0;

}

