/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p05050200.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Verkettung dreier Strukturen ueber    */
/* Zeiger innerhalb dieser Strukturen.                         */
/***************************************************************/

#include <stdio.h>

int main(void) {

 typedef struct ang_info {
   char  name[41];
   int   personalnummer;
   float gehalt;
   struct ang_info *chef;
 } angestellten_info;

 angestellten_info ang1;

 ang1.personalnummer = 1000;

 ang1.chef =
      (angestellten_info *) malloc(sizeof(angestellten_info));

 ang1.chef->personalnummer = 100;

 ang1.chef->chef
       = (angestellten_info *) malloc(sizeof(angestellten_info));

 ang1.chef->chef->personalnummer = 10;

 printf("Nummer des Angestellten: %d\n",ang1.personalnummer);
 printf("Nummer des Chefs des Angestellten: %d\n",ang1.chef->personalnummer);
 printf("Nummer des Chefs des Chefs des Angestellten: %d\n",ang1.chef->chef->personalnummer);

 return 0;

}

