/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06020201.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird eine Funktion, die eine Struktur als Para-*/
/* meter uebergeben bekommt und wieder zurckgibt.             */
/***************************************************************/

#include <stdio.h>
#include <string.h>

struct angestellten_info {
  char  name[41];
  int   personalnummer;
  float gehalt;
};

struct angestellten_info beispielfunktion(struct angestellten_info param) {

  struct angestellten_info result;

  strcpy(result.name, strcat(param.name,"_Zwo"));
  result.personalnummer = param.personalnummer + 1;
  result.gehalt = param.gehalt+100.0;
  return result;

 }

int main(void) {

 struct angestellten_info ang_1 = { "Meier",1234,3000.0 },
                          ang_2;

 ang_2 = beispielfunktion(ang_1);

 printf("Angestellter 1: %s %d %.2f\n\n",ang_1.name,ang_1.personalnummer,ang_1.gehalt);

 printf("Angestellter 2: %s %d %.2f\n\n",ang_2.name,ang_2.personalnummer,ang_2.gehalt);

 return 0;

}


