/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06070102.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Benutzung eines Zeigers auf eine      */
/* Funktion mit void-Parametern.                               */
/***************************************************************/

#include <stdio.h>
#include <string.h>

int ints_gleich(int *a, int *b) {
 return (*a==*b);
}

int strings_gleich(char *s1, char *s2) {
 return (strcmp(s1,s2)==0);
}

int main(void) {

 int a = 1, b = 1;

 char str_a[] = "Hallo",
      str_b[] = "Hallo Welt";


 int (*sind_beide_gleich) (void *, void *);

 sind_beide_gleich = ints_gleich;

 if (sind_beide_gleich(&a,&b))
   printf("a und b sind gleich\n");
  else
   printf("a und b sind ungleich\n");

 sind_beide_gleich = strings_gleich;

 if (sind_beide_gleich(str_a,str_b))
   printf("str_a und str_b sind gleich\n");
  else
   printf("str_a und str_b sind ungleich\n");

 return 0;

}


