/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm p06070200.c                                */
/* aus "C fuer Java-Programmierer", Hanser-Verlag              */
/*                                                             */
/* Demonstriert wird die Uebergabe von Funktionen als Para-    */
/* meter an eine andere Funktion.                              */
/***************************************************************/

#include <stdio.h>

void ausgabe_horizontal(int a[], unsigned int laenge) {
 unsigned int i;
 for (i=0;i<laenge;i++)
  printf("%d ",a[i]);
 printf("\n\n");
}

void ausgabe_vertikal(int a[], unsigned int laenge) {
 unsigned int i;
 for (i=0;i<laenge;i++)
  printf("%d\n",a[i]);
 printf("\n\n");
}

void einlesen(int a[], unsigned int laenge, void (*ausgabe) (int *, unsigned int)) {
 unsigned int i;
 printf("Bitte Ganzzahlarray eingeben:\n");
 for (i=0;i<laenge;i++) {
   printf("%d: ",i);
   scanf("%d",&a[i]);
  }
 printf("\nKontrollausgabe:\n");
 ausgabe(a,laenge);
}

int main(void) {

 int feld1[5], feld2[4];

 einlesen(feld1,5,ausgabe_horizontal);
 einlesen(feld2,4,ausgabe_vertikal);

 return 0;

}


